package com.ruoyi.project.training.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.training.mapper.TTrainingNonMapper;
import com.ruoyi.project.training.domain.TTrainingNon;
import com.ruoyi.project.training.service.ITTrainingNonService;

import javax.annotation.Resource;

/**
 * 培训计划未参加人员Service业务层处理
 *
 * @author ruoyi
 * @date 2021-05-26
 */
@Service
public class TTrainingNonServiceImpl implements ITTrainingNonService
{
    @Resource
    private TTrainingNonMapper tTrainingNonMapper;

    /**
     * 查询培训计划未参加人员
     *
     * @param id 培训计划未参加人员ID
     * @return 培训计划未参加人员
     */
    @Override
    public TTrainingNon selectTTrainingNonById(Long id)
    {
        return tTrainingNonMapper.selectTTrainingNonById(id);
    }

    /**
     * 查询培训计划未参加人员列表
     *
     * @param tTrainingNon 培训计划未参加人员
     * @return 培训计划未参加人员
     */
    @Override
    public List<TTrainingNon> selectTTrainingNonList(TTrainingNon tTrainingNon)
    {
        return tTrainingNonMapper.selectTTrainingNonList(tTrainingNon);
    }

    /**
     * 新增培训计划未参加人员
     *
     * @param tTrainingNon 培训计划未参加人员
     * @return 结果
     */
    @Override
    public int insertTTrainingNon(TTrainingNon tTrainingNon)
    {
        return tTrainingNonMapper.insertTTrainingNon(tTrainingNon);
    }

    /**
     * 修改培训计划未参加人员
     *
     * @param tTrainingNon 培训计划未参加人员
     * @return 结果
     */
    @Override
    public int updateTTrainingNon(TTrainingNon tTrainingNon)
    {
        return tTrainingNonMapper.updateTTrainingNon(tTrainingNon);
    }

    /**
     * 批量删除培训计划未参加人员
     *
     * @param ids 需要删除的培训计划未参加人员ID
     * @return 结果
     */
    @Override
    public int deleteTTrainingNonByIds(Long[] ids)
    {
        return tTrainingNonMapper.deleteTTrainingNonByIds(ids);
    }

    /**
     * 删除培训计划未参加人员信息
     *
     * @param id 培训计划未参加人员ID
     * @return 结果
     */
    @Override
    public int deleteTTrainingNonById(Long id)
    {
        return tTrainingNonMapper.deleteTTrainingNonById(id);
    }
}
